package com.lowes.tcl.api.pem.model;

import java.io.Serializable;

import com.lowes.ss.lknx.util.StringUtil;

/**
 * Represents an customer in the CAD System.
 * <p>
 * created: Jul 24, 2007
 * 
 * @author <a href="mailto:">Rmaruru </a>
 */
public class Customer implements Serializable{
    
    private String lastName;
	private String firstName;
	private int customerNumber;
	
    /**
	 * Returns a string that "textually represents" this object.
	 * <p>
	 * Specifically a string is returned that contains all of the instance
	 * variable names and values.  The value is derived using the instance
	 * variable's toString() method.
	 * <p>
	 * An example of the exact format: <code>[[i=0][animal=cat]]</code>
	 * <p>
	 * @return A String representation of this instance.
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return
			"[" +
			"[lastName=" + lastName + "]" +
			"[firstName=" + firstName + "]" +
			"[customerNumber=" + customerNumber + "]" +
			"]";
        }
    /**
     * @return Returns the firstName.
     */
    public String getFirstName() {
        return firstName;
    }
    /**
     * @param firstName The firstName to set.
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    /**
     * @return Returns the lastName.
     */
    public String getLastName() {
        return lastName;
    }
    /**
     * @param lastName The lastName to set.
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    /**
     * @return Returns the customerName.
     */
    public int getCustomerNumber() {
        return customerNumber;
    }
    /**
     * @param customerNumber The customerNumber to set.
     */
    public void setCustomerNumber(int customerNumber) {
        this.customerNumber = customerNumber;
    }
    
	/**
	 * short summary of the method
	 * <p>
	 * full description
	 * 
	 * @return displayName
	 */
	public String getDisplayName() {
        return 
        	StringUtil.squeeze(
        	    lastName + ", " + 
        	    firstName);
    }
}