package com.lowes.tcl.api.pem;

import java.io.InputStream;

/**
 * OMS server response handler.
 * <p>
 * full class description
 * <p>
 * Created: Jul 24, 2007
 * 
 * @author <a href="mailto:vc.Rajitha.Maruru@Lowes.com">Rajitha Maruru </a>
 */
public abstract class PemApiHandler implements
	PemApiConstants {

	/**
	 * Parses the passed XML String.
	 * <p>
	 * This is for parsing XML that is contained in a String.
	 * 
	 * @param string The XML to parse.
	 * @throws Exception When the parsing fails.
	 */
	public void parse(String string) throws Exception {
		return;
	}

	/**
	 * Parses a document that is streamed in over the supplied input stream.
	 * <p>
	 * This is for parsing XML that is streamed into the system.
	 * 
	 * @param stream The stream of XML to parse.
	 * @throws Exception When the parsing fails.
	 */
	public void parse(InputStream stream) throws Exception {
		return;
	}
	
	/**
	 * Returns the parsed result object.
	 * 
	 * @throws Exception When the parsing fails.
	 */
	public abstract Object getResult() throws Exception;
    
}
