package com.lowes.tcl.api.pem.model;

import java.io.Serializable;
import java.util.Date;

/**
 * Represents an status in the CAD System.
 * <p>
 * created: Jul 24, 2007
 * 
 * @author <a href="mailto:">Rmaruru </a>
 */
public class Status implements Serializable {

	private int orderStatusCd;
	private String orderDesc;
	private String orderStatusSummary;
	private Date orderStatusDate;
	private String description;
	
	/**
	 * Returns a string that "textually represents" this object.
	 * <p>
	 * Specifically a string is returned that contains all of the instance
	 * variable names and values.  The value is derived using the instance
	 * variable's toString() method.
	 * <p>
	 * An example of the exact format: <code>[[i=0][animal=cat]]</code>
	 * <p>
	 * @return A String representation of this instance.
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return
			"[" +
			"[orderStatusDate=" + orderStatusDate + "]" +
			"[orderStatusSummary=" + orderStatusSummary + "]" +
			"[orderDesc=" + orderDesc + "]" +
			"[orderStatusCd=" + orderStatusCd + "]" +
			"[description=" + description + "]" +
			"]";
	}	
	
    /**
     * @return Returns the description.
     */
    public String getDescription() {
        return description;
    }

    /**
     * @return Returns the orderDesc.
     */
    public String getOrderDesc() {
        return orderDesc;
    }

    /**
     * @return Returns the orderStatusCd.
     */
    public int getOrderStatusCd() {
        return orderStatusCd;
    }

    /**
     * @return Returns the orderStatusDate.
     */
    public Date getOrderStatusDate() {
        return orderStatusDate;
    }

    /**
     * @return Returns the orderStatusSummary.
     */
    public String getOrderStatusSummary() {
        return orderStatusSummary;
    }

    /**
     * @param description
     *            The description to set.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @param orderDesc
     *            The orderDesc to set.
     */
    public void setOrderDesc(String orderDesc) {
        this.orderDesc = orderDesc;
    }

    /**
     * @param orderStatusCd
     *            The orderStatusCd to set.
     */
    public void setOrderStatusCd(int orderStatusCd) {
        this.orderStatusCd = orderStatusCd;
    }

    /**
     * @param orderStatusDate
     *            The orderStatusDate to set.
     */
    public void setOrderStatusDate(Date orderStatusDate) {
        this.orderStatusDate = orderStatusDate;
    }

    /**
     * @param orderStatusSummary
     *            The orderStatusSummary to set.
     */
    public void setOrderStatusSummary(String orderStatusSummary) {
        this.orderStatusSummary = orderStatusSummary;
    }
}
